#
# Conditional build:
%bcond_without	xen		# Xen support
%bcond_with	booke		# [PPC] build for BookE
%bcond_with	gamecube	# [PPC] build for GameCube

Summary:	Tool for starting new kernel without reboot
Summary(pl.UTF-8):	Narzędzie pozwalające załadować nowe jądro bez konieczności restartu
Name:		kexec-tools
Version:	2.0.4
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/utils/kernel/kexec/%{name}-%{version}.tar.xz
# Source0-md5:	d98f008504bea1ddc1a4bcea7de0454c
Source1:	kexec.init
Source2:	kexec.sysconfig
URL:		http://www.kernel.org/pub/linux/utils/kernel/kexec/
BuildRequires:	autoconf >= 2.50
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	tar >= 1:1.22
%{?with_xen:BuildRequires:	xen-devel}
BuildRequires:	xz
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.0.9
ExclusiveArch:	%{ix86} %{x8664} alpha arm ia64 mips ppc ppc64 s390 s390x sh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
kexec is a set of system calls that allows you to load another kernel
from the currently executing Linux kernel. The current implementation
has only been tested, and had the kinks worked out on x86, but the
generic code should work on any architecture.

%description -l pl.UTF-8
kexec to zestaw wywołań systemowych pozwalających załadować następne
jądro z poziomu aktualnie działającego jądra Linuksa. Aktualna
implementacja była testowana tylko na x86, ale ogólny kod powinien
działać na każdej architekturze.

%prep
%setup -q

%build
%{__autoconf}
%configure \
	%{?with_booke:--with-booke} \
	%{?with_gamecube:--with-gamecube} \
	%{!?with_xen:--without-xen}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/kexec
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/kexec

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add kexec
%service kexec restart

%preun
if [ "$1" = "0" ]; then
	%service -q kexec stop
	/sbin/chkconfig --del kexec
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS News TODO
%attr(754,root,root) /etc/rc.d/init.d/kexec
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/kexec
%attr(755,root,root) %{_sbindir}/kdump
%attr(755,root,root) %{_sbindir}/kexec
%attr(755,root,root) %{_sbindir}/vmcore-dmesg
%{_mandir}/man8/kdump.8*
%{_mandir}/man8/kexec.8*
%{_mandir}/man8/vmcore-dmesg.8*
%ifarch %{ix86}
%dir %{_libdir}/kexec-tools
# what is this anyway, is it needed on other arches?
%attr(755,root,root) %{_libdir}/kexec-tools/kexec_test
%endif
%changelog
* Sun Nov 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kexec-tools.git;a=log;h=master

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c82dd91
- release 3 (by relup.sh)

* Fri May 31 2013 Elan Ruusamäe <glen@delfi.ee> 14b4ad9
- release 2 (by relup.sh)

* Thu May 30 2013 Elan Ruusamäe <glen@delfi.ee> efc519b
- fix default INITRD path in config

* Fri Mar 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 7bed061
- updated to 2.0.4
- handle xen bcond
- added bconds for booke/gamecube (PPC-specific)

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c819c1a
- no kexec_test on x86_64

* Thu Jan 19 2012 Jakub Bogusz <qboosh@pld-linux.org> c894912
- updated to 2.0.3

* Thu Jun 02 2011 Elan Ruusamäe <glen@pld-linux.org> e6595bd
- release 4

* Thu Jun 02 2011 Elan Ruusamäe <glen@pld-linux.org> ccadf75
- print kernel and initrd info in status action

* Thu Jun 02 2011 Elan Ruusamäe <glen@pld-linux.org> 8fdbb5f
- print detailed info about initrd and args as well

* Thu Jun 02 2011 Elan Ruusamäe <glen@pld-linux.org> 85c44bf
- take current cmdnline from /proc

* Sun Dec 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e18b29
- release 3

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fc80039
- release 2

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> aedec1f
- updated URLs
- updated to 2.0.2
- BR: xz-devel for LZMA support
- fixed kexec_test archs

* Sat Jun 05 2010 arvenil <arvenil@pld-linux.org> b0d24a8
- no more needed

* Sat Jun 05 2010 arvenil <arvenil@pld-linux.org> 6cb84b4
- up to 2.0.1
- as-needed.patch no more needed
- release 1

* Sat Jun 05 2010 arvenil <arvenil@pld-linux.org> 524cec6
- fix for configure.ac

* Thu Aug 27 2009 Elan Ruusamäe <glen@pld-linux.org> b353d82
- setup RETVAL from load

* Thu Aug 27 2009 Elan Ruusamäe <glen@pld-linux.org> f2a36ab
- improved output, added load target

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 20ab573
- drop obsolete files

* Mon Jun 29 2009 Elan Ruusamäe <glen@pld-linux.org> 5360ef1
- kexec_test n/a on ppc

